Open CASCADE Technology: BRepMesh_IEdgeTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepMesh_IEdgeTool Class Referenceabstract

Interface class providing API for edge tessellation tools. More...

`#include <BRepMesh_IEdgeTool.hxx>`

Inheritance diagram for BRepMesh_IEdgeTool:
[legend]

## Public Member Functions
virtual Standard_Integer | NbPoints () const =0
| Returns number of tessellation points. More...
virtual void | Value (const Standard_Integer theIndex, Standard_Real &theParameter, gp_Pnt &thePoint, gp_Pnt2d &theUV)=0
| Returns parameters of solution with the given index. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Interface class providing API for edge tessellation tools.

## Member Function Documentation

virtual Standard_Integer BRepMesh_IEdgeTool::NbPoints | ( |  | ) | const
| pure virtual

Returns number of tessellation points.

Implemented in BRepMesh_EdgeTessellator, and BRepMesh_EdgeTessellationExtractor.

virtual void BRepMesh_IEdgeTool::Value | ( | const Standard_Integer | theIndex,
|  | Standard_Real & | theParameter,
|  | gp_Pnt & | thePoint,
|  | gp_Pnt2d & | theUV
| ) |  |
| pure virtual

Returns parameters of solution with the given index.

Parameters

  theIndex | index of tessellation point.
  theParameter | parameters on PCurve corresponded to the solution.
  thePoint | tessellation point.
  theUV | coordinates of tessellation point in parametric space of face.

Implemented in BRepMesh_EdgeTessellator, and BRepMesh_EdgeTessellationExtractor.

The documentation for this class was generated from the following file:

- BRepMesh_IEdgeTool.hxx